


me = nil;
friend = nil;

EventCodes = {
    SP_ANIMATION_START = 0,
    SP_ANIMATION_END = 1,
    SP_ANIMATION_COMPLETE = 2,
    SP_ANIMATION_EVENT = 3
}

function dispose()
    if me then
        Director.removeNode(me)
        me:dispose();
        me = nil;
    end
    
    if friend then
        Director.removeNode(friend);
        friend:dispose();
        friend = nil;
    end
end

function disposeMe()
    if me then
        Director.removeNode(me)
        me:dispose();
        me = nil;
    end
end

function disposeFriend()
    if friend then
        Director.removeNode(friend);
        friend:dispose();
        friend = nil;
    end
end


function event(node, event, animation, trackID)
    if node:getName() == 'me' then
        if eventCode == EventCodes.SP_ANIMATION_COMPLETE then
            
        end
    end
    
    if node:getName() == 'friend' then
        
    end
end

function loadAnimation(name, atlas, json, timeScale, scale, rotationY, x, y, animation)
    local jsonPath = Script.pathForResource(json, 'json');
    local atlasPath = Script.pathForResource(atlas, 'atlas');
    
    local ani = SkeletonAnimation.new(atlasPath, jsonPath, timeScale);
    
    ani:setScale(scale, scale);
    ani:setRotation(0,rotationY,0);
    ani:setPosition(x, y, 0);
    
    if Director.addNode(ani, name) == false then
        ani:dispose();
        return nil;
    end
    
    return ani;
end

function setAccessory(ani, json, atlas)
    local jsonPath = Script.pathForResource(json, 'json');
    local atlasPath = Script.pathForResource(atlas, 'atlas');
    ani:setAccessory(jsonPath, atlasPath);
end

function setAccessoryWithInfo(ani, json, atlas, info)
    local jsonPath = Script.pathForResource(json, 'json');
    local atlasPath = Script.pathForResource(atlas, 'atlas');
    ani:setAccessoryWithInfo(jsonPath, atlasPath, info);
end

function setAccessoryAnimation(ani, json, atlas, aniName)
    local jsonPath = Script.pathForResource(json, 'json');
    local atlasPath = Script.pathForResource(atlas, 'atlas');
    ani:setAccessoryAnimation(jsonPath, atlasPath, aniName);
end
